zenilib: zenilib/jni/external/zenilib/zeni/Zeni/Serialization.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Namespaces | Functions
Serialization.h File Reference
`#include <Zeni/String.h>`
`#include <SDL/SDL_net.h>`
`#include <iostream>`
`#include <list>`
`#include <set>`
`#include <vector>`

Go to the source code of this file.

## Classes

class | Zeni::Serializable
| A base class for objects that can be sent over the network. More...

## Namespaces

| Zeni

## Functions

String | Zeni::dtoa (const double &number)
String | Zeni::dtoa (const double &number, const unsigned int &precision)
String | Zeni::ftoa (const float &number)
String | Zeni::ftoa (const float &number, const unsigned int &precision)
size_t | Zeni::grab_bytes (std::istream &is, char *const &store, const size_t &num_bytes)
size_t | Zeni::grab_bytes (std::istream &is, String &store, const size_t &num_bytes)
String | Zeni::iptoa (const IPaddress &address)
String | Zeni::itoa (const int &number)
String | Zeni::ldtoa (const long double &number)
String | Zeni::lltoa (const long &number)
String | Zeni::ltoa (const long &number)
bool | operator!= (const IPaddress &lhs, const IPaddress &rhs)
bool | operator< (const IPaddress &lhs, const IPaddress &rhs)
bool | operator<= (const IPaddress &lhs, const IPaddress &rhs)
bool | operator== (const IPaddress &lhs, const IPaddress &rhs)
bool | operator> (const IPaddress &lhs, const IPaddress &rhs)
bool | operator>= (const IPaddress &lhs, const IPaddress &rhs)
std::ostream & | Zeni::serialize (std::ostream &os, const Serializable &value)
template<typename TYPE >
std::ostream & | Zeni::serialize (std::ostream &os, const std::list< TYPE > &list_)
template<typename TYPE >
std::ostream & | Zeni::serialize (std::ostream &os, const std::set< TYPE > &list_)
template<typename TYPE >
std::ostream & | Zeni::serialize (std::ostream &os, const std::vector< TYPE > &list_)
std::ostream & | Zeni::serialize (std::ostream &os, const Sint32 &value)
std::ostream & | Zeni::serialize (std::ostream &os, const Uint32 &value)
std::ostream & | Zeni::serialize (std::ostream &os, const Sint16 &value)
std::ostream & | Zeni::serialize (std::ostream &os, const Uint16 &value)
std::ostream & | Zeni::serialize (std::ostream &os, const Sint8 &value)
std::ostream & | Zeni::serialize (std::ostream &os, const char &value)
std::ostream & | Zeni::serialize (std::ostream &os, const unsigned char &value)
std::ostream & | Zeni::serialize (std::ostream &os, const float &value)
std::ostream & | Zeni::serialize (std::ostream &os, const double &value)
std::ostream & | Zeni::serialize (std::ostream &os, const IPaddress &address)
std::ostream & | Zeni::serialize (std::ostream &os, const String &string)
String | Zeni::stoa (const short &number)
String | Zeni::uitoa (const unsigned int &number)
String | Zeni::ulltoa (const unsigned long &number)
String | Zeni::ultoa (const unsigned long &number)
std::istream & | Zeni::unserialize (std::istream &is, Serializable &value)
template<typename TYPE >
std::istream & | Zeni::unserialize (std::istream &is, std::list< TYPE > &list_)
template<typename TYPE >
std::istream & | Zeni::unserialize (std::istream &is, std::set< TYPE > &list_)
template<typename TYPE >
std::istream & | Zeni::unserialize (std::istream &is, std::vector< TYPE > &list_)
std::istream & | Zeni::unserialize (std::istream &is, Sint32 &value)
std::istream & | Zeni::unserialize (std::istream &is, Uint32 &value)
std::istream & | Zeni::unserialize (std::istream &is, Sint16 &value)
std::istream & | Zeni::unserialize (std::istream &is, Uint16 &value)
std::istream & | Zeni::unserialize (std::istream &is, Sint8 &value)
std::istream & | Zeni::unserialize (std::istream &is, char &value)
std::istream & | Zeni::unserialize (std::istream &is, unsigned char &value)
std::istream & | Zeni::unserialize (std::istream &is, float &value)
std::istream & | Zeni::unserialize (std::istream &is, double &value)
std::istream & | Zeni::unserialize (std::istream &is, IPaddress &address)
std::istream & | Zeni::unserialize (std::istream &is, String &string)
String | Zeni::ustoa (const unsigned short &number)

## Function Documentation

bool operator!= | ( | const IPaddress & | lhs,
|  | const IPaddress & | rhs
| ) |  |

Definition at line 32 of file Serialization.cpp.

References IPaddress::host, IPaddress::port, SDLNet_Read16, and SDLNet_Read32.

bool operator< | ( | const IPaddress & | lhs,
|  | const IPaddress & | rhs
| ) |  |

Definition at line 38 of file Serialization.cpp.

References IPaddress::host, IPaddress::port, SDLNet_Read16, and SDLNet_Read32.

bool operator<= | ( | const IPaddress & | lhs,
|  | const IPaddress & | rhs
| ) |  |

Definition at line 44 of file Serialization.cpp.

References IPaddress::host, IPaddress::port, SDLNet_Read16, and SDLNet_Read32.

bool operator== | ( | const IPaddress & | lhs,
|  | const IPaddress & | rhs
| ) |  |

Definition at line 26 of file Serialization.cpp.

References IPaddress::host, IPaddress::port, SDLNet_Read16, and SDLNet_Read32.

bool operator> | ( | const IPaddress & | lhs,
|  | const IPaddress & | rhs
| ) |  |

Definition at line 50 of file Serialization.cpp.

References IPaddress::host, IPaddress::port, SDLNet_Read16, and SDLNet_Read32.

bool operator>= | ( | const IPaddress & | lhs,
|  | const IPaddress & | rhs
| ) |  |

Definition at line 56 of file Serialization.cpp.

References IPaddress::host, IPaddress::port, SDLNet_Read16, and SDLNet_Read32.